cURL
curl --request PATCH \ --url https://api.morphic.io/api/chats/{chat_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "title": "<string>", "is_pinned": true, "is_archived": true, "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "settings": {}, "metadata": {} } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "is_pinned": false, "is_archived": false, "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "settings": {}, "metadata": {} }
Update a chat’s title or settings.
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
500
Successful Response
Chat title (auto-generated if not provided)